%define section free

Summary:        Textmining Extractors
Name:           textmining
Version:        0.4
Release:        1jpp
Epoch:          0
License:        Apache License 2.0
URL:            http://www.textmining.org
Group:          Text Processing/Markup/XML
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        %{name}-%{version}.zip
Source1:        textmining-build.xml
BuildRequires:  ant >= 0:1.6, jpackage-utils >= 0:1.6
BuildRequires:  jakarta-poi >= 0:2.5.1
Requires:       jakarta-poi >= 0:2.5.1

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Text mining is the process of analyzing text and 
automatically extracting useful information from it. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package demo
Summary:        Samples for %{name}
Group:          Development/Documentation
Requires:       %{name} = 0:%{version}

%description demo
%{summary}.

%prep
%setup -q -n textmining
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
#for j in $(find . -name "*.jar"); do
#    mv $j $j.no
#done
cp %{SOURCE1} build.xml

%build
export CLASSPATH=$(build-classpath poi poi-scratchpad)
ant -Dbuild.sysclasspath=only

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 tm-extractors.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}


# docs
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 644 ReleaseNotes.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 644 Readme.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 644 License.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}/Readme.txt
%{_docdir}/%{name}-%{version}/ReleaseNotes.txt
%{_docdir}/%{name}-%{version}/License.txt
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%changelog
* Mon Sep 05 2005 Ralph Apel <r.apel at r-apel.de> - 0:0.4-1jpp
- First JPP release
